Get an Avatar by id
curl --request GET \
--url https://api.argil.ai/v1/avatars/{id} \
--header 'x-api-key: <api-key>'import requests
url = "https://api.argil.ai/v1/avatars/{id}"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.argil.ai/v1/avatars/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"actorName": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"gestures": [
{
"label": "<string>",
"slug": "<string>",
"startFrame": 123
}
],
"status": "NOT_TRAINED",
"width": 123,
"height": 123,
"thumbnailUrl": "<string>",
"coverImageUrl": "<string>",
"extras": {},
"orientation": "ASPECT_RATIO_16_9",
"model": "ARGIL_V1"
}{
"code": 123,
"message": "<string>"
}Avatars
Get an Avatar by id
Returns a single Avatar identified by its id
GET
/
avatars
/
{id}
Get an Avatar by id
Authorizations
API key to be included in the x-api-key header
Path Parameters
The id of the Avatar to retrieve
Response
Detailed information about the Avatar
A list of labelized gestures available for your avatar.
Show child attributes
Show child attributes
- NOT_TRAINED - Initial state after VIDEO mode avatar creation (before training starts)
- TRAINING - Avatar is currently training. For IMAGE mode avatars, this is the initial status after creation.
- TRAINING_FAILED - Training process failed
- IDLE - Avatar is ready to use
- REFUSED - Avatar was refused by moderation
Available options:
NOT_TRAINED, TRAINING, TRAINING_FAILED, IDLE, REFUSED The url of the thumbnail of the avatar (low resolution).
The url of the cover image of the avatar (high resolution).
A dictionary of custom key-value pairs to extend the Avatar metadata. Maximum of 5 key-value pairs of 256 characters allowed.
Show child attributes
Show child attributes
Available options:
ASPECT_RATIO_16_9, ASPECT_RATIO_9_16 Available options:
ARGIL_V1, ARGIL_ATOM Was this page helpful?
